#ifndef __CLASSFACTORYSUBCHUNK_IMPL_H
#define __CLASSFACTORYSUBCHUNK_IMPL_H

/*<?<autoheader/>*/
#include "ClassFactorySubChunk.h"
#include "ClassFactorySubChunkX.h"

class ClassFactoryBlock;
class ClassFactoryChunk;
class ClassFactorySubChunk;
/*?>*/

#include "FlagHolder.h"

class ClassFactorySubChunkI : public ClassFactorySubChunkX, public FlagHolder {
public:
  ClassFactorySubChunkI() : m_chunk(NULL), m_parentBlock(NULL) {}
  ClassFactorySubChunkI(ClassFactoryChunk *chunk) : m_chunk(chunk), m_parentBlock(NULL) {}

  DISPATCH(10) virtual void setParentBlock(ClassFactoryBlock *block);
  DISPATCH(20) virtual ClassFactoryChunk *getChunk();
  DISPATCH(30) virtual void copy(ClassFactorySubChunk *chunk);
  DISPATCH(40) virtual ClassFactoryBlock *getParentBlock();

private:
  ClassFactoryChunk *m_chunk;
  ClassFactoryBlock *m_parentBlock;
};


#endif // __CLASSFACTORYSUBCHUNK_IMPL_H
