#ifndef __CLASS_SCANNER_H
#define __CLASS_SCANNER_H

#include "bfc/ptrlist.h"

class ClassScanner {
public:
  ClassScanner(const char *basefilename, const char *path);
  ClassScanner();
  virtual ~ClassScanner();

  void setFiles(const char *basefilename, const char *path);
  int scan();

  int getNumClasses();
  const char *enumClass(int n);
private:
  PtrList<String> m_classes;
  String m_basefilename;
  String m_path;
};


#endif
