/*<?
#ifndef __<class data="implname" ucase="1"/>_H<br/>
#define __<class data="implname" ucase="1"/>_H<br/>
*/
#ifndef __FLAGHOLDER_H
#define __FLAGHOLDER_H
/*?>*/

#include "bfc/tlist.h"
#include "bfc/pair.h"

/*<?<autoheader/>*/
/*?>*/

using namespace wasabi;

class FlagHolder {
public:
  FlagHolder();
  virtual ~FlagHolder();

  DISPATCH(10000) virtual void flag_copy(FlagHolder *fh);
  DISPATCH(10010) virtual void flag_setFlag(int flag, int type =  -1);
  DISPATCH(10020) virtual int flag_isFlagSet(int flag, int type =  -1);
  DISPATCH(10030) virtual void flag_clearFlag(int flag =  -1, int type =  -1);
  DISPATCH(10040) virtual void flag_clearAllFlags(int type =  -1);
private:
  TList < Pair < int, int > > flags;
};

/*<?#endif // __<class data="implname" ucase="1"/>_H<br/>*/
#endif // __FLAGHOLDER_H
/*?>*/
