#ifndef __HELPERENUM_H
#define __HELPERENUM_H

#include <bfc/string/string.h>
#include <bfc/ptrlist.h>

/*<?<autoheader/>*/
class ClassFactoryChunk;
/*?>*/

class HelperEnum {
public:
  HelperEnum();
  HelperEnum(ClassFactoryChunk *chunk);
  virtual ~HelperEnum();

  void setChunk(ClassFactoryChunk *chunk);
  int getNumHelpers();
  const char *enumHelper(int n);
  int findHelper(const char *helper);

private:
  void makeList();

  ClassFactoryChunk * m_chunk;
  PtrList < String > m_helpers;
};

class HelperDescription {
public:
  HelperDescription(const char *helper);
  const char *getDescription() { return m_desc; }

private:
  String m_desc;
};

#endif // __HELPERENUM_H
