#ifndef __HELPERFILEENUM_H
#define __HELPERFILEENUM_H

#include <bfc/string/string.h>
#include <bfc/ptrlist.h>

/*<?<autoheader/>*/
class ClassFactoryChunk;
/*?>*/

class HelperFileEnum {
public:
  HelperFileEnum();
  HelperFileEnum(ClassFactoryChunk *chunk, int helpernum);
  HelperFileEnum(ClassFactoryChunk *chunk, const char *helpername);
  virtual ~HelperFileEnum();

  void setHelper(ClassFactoryChunk *chunk, int helpernum);
  int getNumFiles();
  const char *enumFile(int n);
  const char *getHelperName() { return m_name; }

private:
  void makeList();

  ClassFactoryChunk * m_chunk;
  int m_num;
  PtrList < String > m_files;
  String m_name;
  String m_retstring;
};

#endif // __HELPERFILEENUM_H
