#ifndef __SECONDARYANCESTOR_IMPLEMENTATION_H
#define __SECONDARYANCESTOR_IMPLEMENTATION_H

/*<?<autoheader/>*/
#include "SecondaryAncestor.h"
#include "SecondaryAncestorX.h"

class SecondaryAncestor;
/*?>*/

#include <bfc/string/string.h>

class SecondaryAncestorI : public SecondaryAncestorX {
public:
  SecondaryAncestorI();
  SecondaryAncestorI(const char *classname, int scope);

  DISPATCH(10) virtual int getScope();
  DISPATCH(20) virtual const char *getClassName();
  DISPATCH(30) virtual void copy(SecondaryAncestor *anc);
  DISPATCH(40) void setScope(int scope);
  DISPATCH(50) void setClassName(const char *name);

private:
  String m_classname;
  int m_scope;
};


#endif // __SECONDARYANCESTOR_IMPLEMENTATION_H
