#include "precomp.h"
#include "FactoryModule.h"

FactoryModule::FactoryModule() {
  m_template = NULL;
}

FactoryModule::~FactoryModule() {
}

const char *FactoryModule::getName() {
  return m_modulename;
}

const char *FactoryModule::getData() {
  return m_moduledata;
}

void FactoryModule::setName(const char *name) {
  m_modulename = name;
}

void FactoryModule::setData(const char *data) {
  m_moduledata = data;
}

void FactoryModule::setId(const char *id) {
  m_id = id;
}

const char *FactoryModule::getId() { 
  return m_id; 
}

void FactoryModule::setSubModuleOf(FactoryTemplate *tmpl) {
  m_template = tmpl;
}

FactoryTemplate *FactoryModule::getTemplate() {
  return m_template;
}

int FactoryModule::getStartPos() {
  return m_startpos;
}

void FactoryModule::setStartPos(int p) {
  m_startpos = p;
}
