#ifndef __FOREACHCODEBLOCK_H
#define __FOREACHCODEBLOCK_H

/*<?<autoheader/>*/
class ClassFactoryChunk;
class ClassFactoryCodeBlock;
class TemplatizedFactory;
/*?>*/

#include "ForIterator.h"

#include <bfc/string/string.h>

class ForEachCodeBlock : public ForIterator {
public:
  ForEachCodeBlock(TemplatizedFactory *parent, ClassFactoryChunk *chunk, const char *type);
  virtual ~ForEachCodeBlock(); 
    
  virtual ClassFactoryCodeBlock *getCodeBlock(int n = -1);
  virtual int getNumCodeBlocks();
    
private:
  int m_numcodeblocks;
  ClassFactoryChunk * m_chunk;
  String m_type;
};

#endif // __FOREACHCODEBLOCK_H
