#ifndef __FOREACHHELPERFILE_H
#define __FOREACHHELPERFILE_H

#include "../outputfactories/ForIterator.h"
#include "../classhierarchy/ClassFactoryChunkI.h"

/*<?<autoheader/>*/
class ClassFactoryChunk;
class HelperFileEnum;
class TemplatizedFactory;
/*?>*/

class AncestorEnum;
class HelperFileEnum;

class ForEachHelperFile : public ForIterator {
public:
  ForEachHelperFile(TemplatizedFactory *parent, ClassFactoryChunk *chunk, int helpernum);
  virtual ~ForEachHelperFile();

  virtual const char *getFile(int n = -1);

private:
  ClassFactoryChunk * m_chunk;
  HelperFileEnum * m_hfe;
};

#endif // __FOREACHHELPERFILE_H
