#include "precomp.h"
#include "ForEachMapEntries.h"
#include "../classhierarchy/ClassFactoryChunk.h"
#include "../classhierarchy/Project.h"

ForEachMapEntries::ForEachMapEntries(TemplatizedFactory *parent, ClassFactoryChunk *chunk, const char *mapname) : m_chunk(chunk), ForIterator(parent, FOREACH_MAPENTRIES) {
  m_chunk = chunk;
  m_mapname = mapname;
  int numdata = 0;
  m_typemap = g_typeMaps->getTypeMap(mapname);
  if (m_typemap != NULL) {
    numdata = m_typemap->getNumMappings();
  }
  setNumIterations(numdata);
}

ForEachMapEntries::~ForEachMapEntries() {
}


