#ifndef __FOREACHMAPENTRIES_H
#define __FOREACHMAPENTRIES_H

/*<?<autoheader/>*/
class ClassFactoryChunk;
class TemplatizedFactory;
/*?>*/

#include "ForIterator.h"
#include "../outputfactories/TypeMap.h"
#include <bfc/string/string.h>

class ForEachMapEntries : public ForIterator {
public:
  ForEachMapEntries(TemplatizedFactory *parent, ClassFactoryChunk *chunk, const char *mapname);
  virtual ~ForEachMapEntries(); 

  TypeMap *getMap() { return m_typemap; }
    
private:
  ClassFactoryChunk * m_chunk;
  String m_mapname;
  TypeMap *m_typemap;
};

#endif // __FOREACHDATA_H
