#include "precomp.h"
#include "ChunkList.h"

ChunkList::ChunkList() {
}

ChunkList::~ChunkList() { 
  m_paths.deleteAll(); 
}

ClassFactoryChunk *ChunkList::addItem(ClassFactoryChunk *chunk, const char *path) {
  m_chunk.addItem(chunk);
  m_paths.addItem(new String(path));
  return chunk;
}

int ChunkList::getNumItems() { 
  return m_chunk.getNumItems(); 
}

ClassFactoryChunk *ChunkList::enumChunk(int n) { 
  return m_chunk.enumItem(n); 
}

const char *ChunkList::enumPath(int n) { 
  return m_paths.enumItem(n)->getValue(); 
}

void ChunkList::removeAll() { 
  m_chunk.removeAll(); m_paths.deleteAll(); 
}
