#ifndef __CHUNKLIST_H
#define __CHUNKLIST_H

#include "ClassFactoryChunkI.h"
#include <bfc/ptrlist.h>
#include <bfc/string/string.h>

/*<?<autoheader/>*/
class ClassFactoryChunk;
/*?>*/

class ChunkList {
public:
  ChunkList();
  virtual ~ChunkList();

  virtual ClassFactoryChunk *addItem(ClassFactoryChunk *chunk, const char *path);

  virtual int getNumItems();
  virtual ClassFactoryChunk *enumChunk(int n);
  virtual const char *enumPath(int n);
  virtual void removeAll();

private:
  PtrList < ClassFactoryChunk > m_chunk;
  PtrList < String > m_paths;
};

#endif
