#ifndef __HELPELEMENTI_H
#define __HELPELEMENTI_H

#include <bfc/string/string.h>

/*<?<autoheader/>*/
#include "HelpElement.h"
#include "HelpElementX.h"

class HelpElement;
/*?>*/

class HelpElementI : public HelpElementX {
  public:
  HelpElementI();
  virtual ~HelpElementI();
  DISPATCH(10) virtual void setHtml(const char *html);
  DISPATCH(20) virtual const char *getHtml();
  DISPATCH(30) virtual const char *getName();
  DISPATCH(40) virtual void setName(const char *name);
  DISPATCH(50) virtual void clone(HelpElement *element);
  private:
    String m_html;
    String m_name;
};

#endif // __HELPELEMENTI_H
