#ifndef __HELPSECTIONI_H
#define __HELPSECTIONI_H

#include <bfc/ptrlist.h>
#include <bfc/string/string.h>
#include "HelpElementI.h"

/*<?<autoheader/>*/
#include "HelpSection.h"
#include "HelpSectionX.h"

class HelpElement;
class HelpSection;
/*?>*/

class HelpSectionI : public HelpSectionX {
  public:
  HelpSectionI();
  virtual ~HelpSectionI();
  DISPATCH(10) virtual int getNumElements();
  DISPATCH(20) virtual HelpElement *getElement(int n);
  DISPATCH(30) virtual const char *getName();
  DISPATCH(40) virtual void setName(const char *name);
  DISPATCH(50) virtual void addElement(HelpElement *element);
  DISPATCH(60) virtual HelpElement *createElement();
  DISPATCH(70) virtual void deleteElement(HelpElement *element);
  DISPATCH(80) virtual void clone(HelpSection *section);
  private:
    PtrList<HelpElementI> m_elements;
    String m_name;
};

#endif // __HELPSECTIONI_H
