#ifndef __IMPLFILEENUM_H
#define __IMPLFILEENUM_H

/*<?<autoheader/>*/
class ClassFactoryChunk;
/*?>*/

#include <bfc/ptrlist.h>
#include <bfc/string/string.h>

class ImplFileEnum {
public:
  ImplFileEnum();
  ImplFileEnum(ClassFactoryChunk *chunk);
  virtual ~ImplFileEnum();
    
  void setChunk(ClassFactoryChunk *chunk);
  int getNumFiles();
  const char *enumFile(int n);

private:
  void makeupFiles();
  ClassFactoryChunk * m_chunk;
  PtrList < String > m_files;
};

#endif // __IMPLFILEENUM_H
