#include "precomp.h"
#include "SecondaryAncestorI.h"
#include "ClassFactoryMethod.h"

SecondaryAncestorI::SecondaryAncestorI() {
  m_scope = SCOPE_PRIVATE;
}

SecondaryAncestorI::SecondaryAncestorI(const char *classname, int scope) {
  m_scope = scope;
  m_classname = classname;
}

int SecondaryAncestorI::getScope() {
  return m_scope;
}

const char *SecondaryAncestorI::getClassName() {
  return m_classname;
}

void SecondaryAncestorI::copy(SecondaryAncestor *anc) {
  m_classname = anc->getClassName();
  m_scope = anc->getScope();
}

void SecondaryAncestorI::setScope(int scope) {
  m_scope = scope;
}

void SecondaryAncestorI::setClassName(const char *name) {
  m_classname = name;
}

