#ifndef _WORKSPACE_H
#define _WORKSPACE_H

class XmlReaderParams;
class ClassFactoryChunk;

class Workspace {
public:
  virtual int getNumChunks(const char *project=NULL)=0;
  virtual void addChunk(ClassFactoryChunk *c)=0;
  virtual ClassFactoryChunk *enumChunk(int n, const char *project=NULL)=0;
  virtual ClassFactoryChunk *findChunk(const char *classname)=0;
  virtual XmlReaderParams *getParams()=0;
  virtual const char *getPrecompFile()=0;
  virtual const char *getTemplateDir()=0;
};

#endif
