#ifndef __XMLVARIABLE_H
#define __XMLVARIABLE_H

#include <bfc/string/string.h>

/*<?<autoheader/>*/
/*?>*/

class XMLVariable {
public:
  XMLVariable(const char *name, const char *value);
  virtual ~XMLVariable();
  virtual const char *getName();
  virtual const char *getValue();
private:
  String m_name;
  String m_value;
};

class SortXMLVariable {
public:
  static int compareItem(XMLVariable *p1, XMLVariable *p2) {
    return STRICMP(p1->getName(), p2->getName());
  }
  static int compareAttrib(const char *attrib, XMLVariable *item) {
    return STRICMP(attrib, item->getName());
  }
};

#endif // __XMLVARIABLE_H
