#ifndef __FOREACHANCESTOR_H
#define __FOREACHANCESTOR_H

#include "../outputfactories/ForIterator.h"
#include "../classhierarchy/ClassFactoryChunkI.h"

/*<?<autoheader/>*/
class AncestorEntry;
class AncestorEnum;
class ClassFactoryChunk;
class TemplatizedFactory;
/*?>*/

class AncestorEnum;

class ForEachAncestor : public ForIterator {
public:
  ForEachAncestor(TemplatizedFactory *parent, ClassFactoryChunk *chunk);
  virtual ~ForEachAncestor();

  virtual AncestorEntry *getAncestor(int n = -1);

private:
  PtrListQuickSorted < ClassFactoryChunk, ClassFactoryChunkSortInterface > m_ancestors;
  ClassFactoryChunk * m_chunk;
  AncestorEnum * m_ae;
};

#endif // __FOREACHANCESTOR_H
