#ifndef __FOREACHCLASS_H
#define __FOREACHCLASS_H

#include "../outputfactories/ForIterator.h"
#include "../outputfactories/TemplatizedFactory.h"
#include "../classhierarchy/ClassFactoryChunkI.h"

/*<?<autoheader/>*/
class ClassFactoryChunk;
class TemplatizedFactory;
/*?>*/

class ForEachClass : public ForIterator {  
public:
  ForEachClass(TemplatizedFactory *parent);

  virtual ~ForEachClass();
  virtual ClassFactoryChunk *getClass(int n = -1);

private:
  PtrList/*QuickSorted */< ClassFactoryChunk/*, ClassFactoryChunkSortInterface*/ > m_classes;
};

#endif
