#include "precomp.h"
#include "ForEachHelper.h"
#include "../classhierarchy/HelperEnum.h"

#include <bfc/ptrlist.h>


ForEachHelper::ForEachHelper(TemplatizedFactory *parent, ClassFactoryChunk *chunk) : ForIterator(parent, FOREACH_HELPERS) {
  m_he = NULL;

  m_chunk = chunk;

  m_he = new HelperEnum(chunk);
  setNumIterations(m_he->getNumHelpers());
}

ForEachHelper::~ForEachHelper() {
  delete m_he;
}

const char *ForEachHelper::getHelper(int n) {
  if (n == -1) n = getIterator();
  return m_he->enumHelper(n);
}

