#ifndef __FOREACHHELPER_H
#define __FOREACHHELPER_H

#include "../outputfactories/ForIterator.h"
#include "../classhierarchy/ClassFactoryChunkI.h"

/*<?<autoheader/>*/
class ClassFactoryChunk;
class HelperEnum;
class TemplatizedFactory;
/*?>*/

class AncestorEnum;
class HelperEnum;

class ForEachHelper : public ForIterator {
public:
  ForEachHelper(TemplatizedFactory *parent, ClassFactoryChunk *chunk);
  virtual ~ForEachHelper();

  virtual const char *getHelper(int n = -1);

private:
  ClassFactoryChunk * m_chunk;
  HelperEnum * m_he;
};

#endif // __FOREACHHELPER_H
