#ifndef __FOREACHIMPLFILE_H
#define __FOREACHIMPLFILE_H

#include "../outputfactories/ForIterator.h"
#include "../classhierarchy/ClassFactoryChunkI.h"

/*<?<autoheader/>*/
class ClassFactoryChunk;
class ImplFileEnum;
class TemplatizedFactory;
/*?>*/
class AncestorEnum;
class ImplFileEnum;

class ForEachImplFile : public ForIterator {
public:
  ForEachImplFile(TemplatizedFactory *parent, ClassFactoryChunk *chunk);
  virtual ~ForEachImplFile();

  virtual const char *getFile(int n = -1);

private:
  ClassFactoryChunk * m_chunk;
  ImplFileEnum * m_ife;
};

#endif // __FOREACHIMPLFILE_H
