#include "precomp.h"
#include "ForEachParam.h"
#include "../classhierarchy/ClassFactoryMethod.h"

ForEachParam::ForEachParam(TemplatizedFactory *parent, ClassFactoryMethod *method) : ForIterator(parent, FOREACH_PARAM) {
  m_method = method;
  if (m_method == NULL) {
    setNumIterations(0);
    return;
  }
  setNumIterations(m_method->getNumParams());
}

ForEachParam::~ForEachParam() {
}

ClassFactoryParam *ForEachParam::getParam(int n) {
  if (n == -1) n = getIterator();
  return m_method->enumParam(n);
}


