#ifndef __FOREACHTEMPLATEPARAM_H
#define __FOREACHTEMPLATEPARAM_H

#include "ForIterator.h"

/*<?<autoheader/>*/
class ClassFactoryChunkI;
class ClassFactoryData;
class ClassFactoryParam;
class ClassFactoryMethod;
class TemplatizedFactory;
/*?>*/

class ForEachTemplateParam : public ForIterator {
  public:
    ForEachTemplateParam(TemplatizedFactory *parent, ClassFactoryData *data);
    ForEachTemplateParam(TemplatizedFactory *parent, ClassFactoryParam *param);

    virtual ~ForEachTemplateParam();
    virtual ClassFactoryParam *getParam(int n = -1);

    void makeList(const char *str);

  private:
    ClassFactoryChunkI *m_chunk;
    ClassFactoryMethod *m_method;
};

#endif // __FOREACHTEMPLATEPARAM_H

