#ifndef __GLOBALSTRING_IMPL_H
#define __GLOBALSTRING_IMPL_H

/*<?<autoheader/>*/
/*?>*/

class GlobalString {
public:
  GlobalString();
  GlobalString(const char *id, const char *val) { m_id = id; m_val = val; };
  virtual ~GlobalString();

  virtual const char *getValue();
  virtual void setValue(const char *val);
  virtual const char *getId();
  virtual void setId(const char *id);

private:
  String m_val;
  String m_id;
};

class SortGlobalString {
public:
  static int compareItem(GlobalString *p1, GlobalString *p2) {
    return STRICMP(p1->getId(), p2->getId());
  }
  static int compareAttrib(const char *attrib, GlobalString *item) {
    return STRICMP(attrib, item->getId());
  }
};



#endif // __GLOBALSTRING_IMPL_H
