#include "precomp.h"
//<?#include "<class data="implementationheader"/>"
#include "GlobalStrings.h"
//?>

static GlobalStrings _g_globalVars;
GlobalStrings *g_globalVars = &_g_globalVars;

GlobalStrings::GlobalStrings() {
}

GlobalStrings::~GlobalStrings() {
  m_globalStrings.deleteAll();
}

const char *GlobalStrings::getString(const char *id) {
  GlobalString *gs = m_globalStrings.findItem(id);
  if (gs != NULL) return gs->getValue();
  return NULL;
}

void GlobalStrings::setString(const char *id, const char *val) {
  GlobalString *gs = m_globalStrings.findItem(id);
  if (!gs) {
    gs = new GlobalString();
    gs->setId(id);
    gs->setValue(val);
    m_globalStrings.addItem(gs);
  } else {
    gs->setValue(val);
  }
}

int GlobalStrings::haveString(const char *id) {
  return m_globalStrings.findItem(id) != NULL;
}

GlobalString *GlobalStrings::getStringObject(const char *id) {
  return m_globalStrings.findItem(id);
}

void GlobalStrings::removeString(const char *id) {
  GlobalString *gs = getStringObject(id);
  if (gs) m_globalStrings.removeItem(gs);
}

void GlobalStrings::reset() {
  m_globalStrings.deleteAll();
}
