#ifndef _INLINE_INTERPRETER_H
#define _INLINE_INTERPRETER_H

#include "InlineXmlFactory.h"
#include "../outputfactories/Vfs.h"

class ClassFactoryChunk;

class InlineInterpreter {
public:
	InlineInterpreter(const char *pathfile, ClassFactoryChunk *chunk, int rewrite);
	InlineInterpreter();
	virtual ~InlineInterpreter();

  int process(const char *pathfile, ClassFactoryChunk *chunk, int rewrite);
  void getBlock(char *dest, int n, VFILE *fl, int *_bracketcount = NULL);
  void scanXml(const char *p, int *inxml);

  InlineXmlFactory *getInlineXmlFactory() { return &inlinefactory; }

private:
  InlineXmlFactory inlinefactory;
};

#endif
