#ifndef __INTERFACEFACTORY_H
#define __INTERFACEFACTORY_H

#include "TemplatizedFactory.h"

class InterfaceFactory : public TemplatizedFactory {
public:
  InterfaceFactory();
  virtual ~InterfaceFactory();

  virtual void onNewChunk(ClassFactoryChunk *chunk);
  virtual const char *getCustomFormat(const char *format);

private:
  FactoryModule m_cpp;
  FactoryModule m_h;
  FactoryModule m_cpp_dispatch;
  FactoryModule m_h_dispatch;
  int m_dispatchable;
};

#endif
